#include "box.hh"

namespace maintance
{
  Box::Box(Shader& shader, Transformer& trans, 
	   types::Vect3df uln, types::Vect3df lrf)
    : Object(BOX, shader, trans), _UpperLeftNear(uln), _LowerRightFar(lrf)
  { }
  
  void Box::print(std::ostream& os) const
  {
    os << "box" << _ObjId << ": " 
       << "uln=" << _UpperLeftNear
       << " lrf=" << _LowerRightFar << std::endl;
  }
}
