#include "light.hh"

namespace maintance
{
  Light::Light(const std::string name, Transformer& trans, Color color)
    :  _Name(name), _trans(trans), _Color(color)
  {  }

  void Light::print(std::ostream& os) const
  {
    os << _Name << ": " << _Color << std::endl;
  }
}
