#include "plane.hh"

namespace maintance
{
  Plane::Plane(Shader& shader, Transformer& trans, 
	       const types::Vect3df p)
    : Object(PLANE, shader, trans), _normal(p)
  {
  }

  void Plane::print(std::ostream& os) const
  {
    os << "plane " << _ObjId << ": " 
       << "normal=" << _normal << std::endl;
  }
}
