#include "sphere.hh"

namespace maintance
{
  Sphere::Sphere(Shader& shader, Transformer& trans, float r)
    : Object(SPHERE, shader, trans), _Radius(r)
  {
  }

  void	Sphere::print(std::ostream& os) const
  {
    os << "sphere" << _ObjId << ": " 
       << "radius=" <<_Radius << std::endl;
  }
}
