//	sphere.hh
//
//	Henry PRECHEUR - E-mail: henry.precheur@epita.fr
//	last modification Time-stamp: <19-Jul-2002 01:48 by preche_h>

#ifndef	_SPHERE_HH_
#define	_SPHERE_HH_

#include "object.hh"

namespace maintance
{
	class Sphere: public Object
	{
	protected:
		float	_Radius;
	public:
		Sphere(Shader& shader, Transformer& trans, float r);
		const float&	GetRadius() const;
	public:
		void	print(std::ostream& os) const;
	};

	inline const float&	Sphere::GetRadius() const
	{ return _Radius; } 
}

#endif // _SPHERE_HH_
