// Bumper for normal vector
//
// Started on  Monday Apr 1 01:30:00 2003
//  by Alex

#include "bumper.hh"

namespace raytrace
{

  void Bumper::perturb(const types::Vect3df& pt, types::Vect3df& norm)
  {
  }

  void Bumper::getEuler(const types::Vect3df& pt, float& x, float& y, float& z)
  {
    static types::Vect3df vx(1, 0, 0);
    static types::Vect3df vy(0, 1, 0);
    static types::Vect3df vz(0, 0, 1);
    x = vx.dot(pt);
    y = vy.dot(pt);
    z = vz.dot(pt);
  }

}
