//	uv.hh
//
//	Henry PRECHEUR - E-mail: henry.precheur@epita.fr
//	last modification Time-stamp: <16-Jul-2002 11:41 by preche_h>

#ifndef	_UV_HH_
#define	_UV_HH_

namespace systance
{
  class UV
  {
  public :
    float	_[2];
  public:
    UV();
    UV(float u, float v);
    const float*	Get() const;
    void	Set(float u, float v);
  };

  inline	UV::UV()
  {
    ;//nothing
  }

  inline	UV::UV(float u, float v)
  {
    Set(u, v);
  }

  inline const float*	UV::Get() const
  {
    return _;
  }

  inline void	UV::Set(float u, float v)
  {
    _[0] = u; _[1] = v;
  }
}

#endif // _UV_HH_
