#include <cassert>
#include <string>
#include <sstream>
#include "color.hh"

namespace maintance
{
  Color::Color()
  {
    _[0] = 0; _[1] = 0; _[2] = 0;
  }

  Color::Color(float red,
	       float green, 
	       float blue)
   {
     _[0] = red; _[1] = green; _[2] = blue;
   }

  Color::Color(const std::string str)
  {
    float red, green, blue;
    std::string color;
    std::istringstream is(str);
    is >> color >> red >> green >> blue;
    _[0] = red / 255.0f;
    _[1] = green / 255.0f;
    _[2] = blue / 255.0f;
    assert (color == "(color");
  }
}
