#include "disc.hh"

namespace maintance
{
  Disc::Disc(Shader& shader, Transformer& trans, 
	       const types::Vect3df p, float r)
    : Object(DISC, shader, trans), _normal(p), _radius(r)
  {
  }

  void Disc::print(std::ostream& os) const
  {
    os << "disc " << _ObjId << ": " 
       << "normal=" << _normal << " radius=" << _radius << std::endl;
  }
}
