//	plane.hh
//
//	Henry PRECHEUR - E-mail: henry.precheur@epita.fr
//	last modification Time-stamp: <19-Jul-2002 10:43 by preche_h>

#ifndef	_PLANE_HH_
#define	_PLANE_HH_

#include "object.hh"

namespace maintance
{
	class Plane: public Object
	{
	protected:
		types::Vect3df	_normal;

	public:
		Plane(Shader& shader, Transformer& trans, 
			types::Vect3df p);
		virtual ~Plane() {}

		const types::Vect3df&	getNormal() const;
	public:
		void	print(std::ostream& os) const;
	};

	inline const types::Vect3df&	Plane::getNormal() const
	{ return _normal; }
}

#endif // _PLANE_HH_
