// Bumper for normal vector
//
// Started on  Monday Apr 1 01:30:00 2003
//  by Alex


#ifndef _RAYTRACE_BUMPER_HH_
#define _RAYTRACE_BUMPER_HH_

#include "types.hh"

namespace raytrace
{
  class Bumper
  {

  public:
    Bumper()
    {
    }

    virtual void perturb(const types::Vect3df& pt, types::Vect3df& norm);
    void getEuler(const types::Vect3df& pt, float& x, float& y, float& z);
  };
}

#endif // _RAYTRACE_BUMPER_HH_
