#include "rtcam.hh"
//#include "convert.hh"

namespace raytrace
{
#ifndef M_PI
#	define M_PI       3.14159265358979323846
#endif

#define PI M_PI
#define TO_RAD(x) (PI/180 * x)  
  void RtCam::update()
  {
    static types::Vect3df dir;
    static types::Vect3df up(0, 1, 0);
    static types::Vect3df right;
    
    _ray.pos = _cam->GetCenter();
    dir = (_cam->GetTarget() - _cam->GetCenter()).normalise();
    up.setx(0); up.sety(1); up.setz(0);
    right = dir * up;
    right.normalise();
    up = right * dir;
    up.normalise();
//    float width  = math::Tan(TO_RAD(_cam->GetFov()));
	float width  = tan(TO_RAD(_cam->GetFov()));
    float height = width * _ratio;
    _uleft = dir + up * height - right * width;

    _xaxe = right * width * 2;
    _yaxe = up * -height * 2;

  }


}
