//	pixel.hh
//
//	Henry PRECHEUR - E-mail: henry.precheur@epita.fr
//	last modification Time-stamp: <23-Sep-2002 05:38 by preche_h>

#ifndef	_PIXEL_HH_
#define	_PIXEL_HH_

//#include <cstring>
#include "color.hh"
#include "uv.hh"

// Comment: 
// we use a struct for optimisation issues
//

namespace systance
{
  struct Pixel
  {
    maintance::Color	_Color;
    // UV coordonne de mapping
    UV			_UV;
    // pour savoir quelles lumieres tappe sur ce pixel.
    unsigned int	ShadowId;
    // pour savoir sur quel objet on tape sur ce pixel.
    unsigned int	ObjId;
    // FIXME !!!!!!!
    unsigned int	ReflexId;

    // Masque pour les objets;
    unsigned int	obj_mask;

    // Pour l'instant inutiliser.
    // ces 2 floats servieront pour l'utilisation du quad-tree.
    float		_PosX;
    float		_PosY;
    float		_PosZ;

    unsigned short	Date;
    bool		Active;
  };
}

#endif // _PIXEL_HH_
